## plasma5support 6.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(PROJECT_VERSION "6.1.0")
project(Plasma5Support VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.1.0")
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMSetupQtPluginMacroNames)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA5SUPPORT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma5support_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfigVersion.cmake"
                  SOVERSION 6)

add_definitions(-DQT_NO_FOREACH)
################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED
    COMPONENTS
        Config
        CoreAddons
        GuiAddons
        I18n
        Notifications
        Solid
)
find_package(KSysGuard CONFIG REQUIRED) # devicenotifications

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # must port away from qmlRegisterInterface before upgrading this to 050f00
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)

#########################################################################

include(Plasma5SupportMacros.cmake)

option(BUILD_COVERAGE "Build Plasma5Support Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma5support_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################

add_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)

if (BUILD_TESTING)
    find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED)
    add_subdirectory(autotests)
endif()

################ create Plasma5SupportConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma5Support")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma5Support_QCH
        FILE Plasma5SupportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/Plasma5SupportQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Plasma5SupportConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/Plasma5SupportMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT Plasma5SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE Plasma5SupportTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma5support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma5Support COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
plasma5support (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * Update list of installed files.
  * Add myself as uploader.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 13:18:24 +0200

plasma5support (6.0.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Initial release. (Closes: #1072713)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Jun 2024 23:40:22 +0200

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6solid-dev (>= 6.2.0~),
               libksysguard-dev (>= 4:6.1.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
Rules-Requires-Root: no

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.

## plasma5support 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.1.0")
+set(PROJECT_VERSION "6.1.5")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.0")
+set(PROJECT_DEP_VERSION "6.1.5")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.2.0")

=== debian/changelog ===
plasma5support (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:02:00 +0100

plasma5support (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:44:24 +0100

plasma5support (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

plasma5support (6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libplasma5support-data against
    plasma-workspace-data (Closes: #1074266).

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Jun 2024 18:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -15,14 +16,14 @@
                libkf6i18n-dev (>= 6.2.0~),
                libkf6notifications-dev (>= 6.2.0~),
                libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.1.0~),
+               libksysguard-dev (>= 4:6.1.5~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
 Rules-Requires-Root: no
 
 Package: libplasma5support6
@@ -42,6 +43,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-workspace-data (<< 4:6.0.0~),
+Replaces: plasma-workspace-data (<< 4:6.0.0~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .

## plasma5support 6.2.5

=== debian/changelog ===
plasma5support (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:41 +0100

plasma5support (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:53 +0100

plasma5support (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 22:38:03 +0100

plasma5support (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:22:07 +0200

plasma5support (6.2.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Breaks+Replaces for libplasma5support6 against plasma-workspace.
  * Update Breaks+Replaces for libplasma5support6-data against plasma-
    workspace-data.

 -- Patrick Franz <deltaone@debian.org>  Thu, 10 Oct 2024 17:26:41 +0200

plasma5support (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * New upstream release (6.2.0).
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:47 +0200

plasma5support (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Tighten Plasma packages inter-dependencies.
  * Drop useless ${shlibs:Depends} for libplasma5support-dev and
    libplasma5support-data.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:05 +0200

plasma5support (6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 01:12:15 +0200

plasma5support (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:23 +0200

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kio-dev,
               libkf6notifications-dev (>= 6.2.0~),
               libkf6service-dev,
               libkf6solid-dev (>= 6.2.0~),
               libksysguard-dev (>= 4:6.2.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
Rules-Requires-Root: no

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.0~),
Replaces: plasma-workspace (<< 4:6.2.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         qml6-module-org-kde-plasma-plasma5support (= ${binary:Version}),
         ${misc:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.

## plasma5support 6.2.90

=== debian/changelog ===
plasma5support (4:6.2.90-1ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump KF6 and Plasma build deps to current versions (6.10.0 & 6.2.90).

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2025 10:44:13 +0000

plasma5support (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Package libplasma-geolocation-interface6 moved from plasma-workspace.
  * Bump epoch to match previous epoch libplasma-geolocation-interface6 had
    when it was part of plasma-workspace.
  * Bump Breaks/Replaces against plasma-workspace/plasma-workspace-data
    for files that have been newly moved to the plasma5support source.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:23 +0100

plasma5support (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Update build deps.
  * Update install files.
  * Bump breaks/replaces for files moved from src:plasma-workspace.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:43:48 +0000

plasma5support (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:05:15 +0000

plasma5support (6.2.4-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.2.3-1 in Debian unstable:
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 16:42:28 +0000

plasma5support (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:35 +0000

plasma5support (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depends on libkf6kio-dev and libkf6service-dev
  * Update install files.
  * Update breaks/replaces against plasm-workspace 6.1.5
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:00:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,24 +10,52 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.5.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6kio-dev,
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6service-dev,
-               libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.2.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6idletime-dev (>= 6.10.0),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6networkmanagerqt-dev (>= 6.10.0),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
+               libksysguard-dev (>= 4:6.2.90~),
+               libplasmaactivities-dev (>= 6.2.90~),
+               libx11-dev,
+               libxfixes-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
 Rules-Requires-Root: no
+
+Package: libplasma-geolocation-interface6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Plasma geolocation library
+ This library provides support for interfacing with geolocation
+ provider services like GPS or Mozilla Location Service.
+
+Package: libplasma-geolocation-interface-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
+         ${misc:Depends},
+Description: development files for the Plasma geolocation library
+ This library provides support for interfacing with geolocation
+ provider services like GPS or Mozilla Location Service.
+ .
+ This package contains development files for building software that
+ uses the Plasma geolocation library.
 
 Package: libplasma5support6
 Section: libs
@@ -35,8 +64,8 @@
 Depends: libplasma5support-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-workspace (<< 4:6.2.0~),
-Replaces: plasma-workspace (<< 4:6.2.0~),
+Breaks: plasma-workspace (<< 4:6.2.90~),
+Replaces: plasma-workspace (<< 4:6.2.90~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .
@@ -47,8 +76,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: plasma-workspace-data (<< 4:6.2.0~),
-Replaces: plasma-workspace-data (<< 4:6.2.0~),
+Breaks: plasma-workspace-data (<< 4:6.2.90~),
+Replaces: plasma-workspace-data (<< 4:6.2.90~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .

## plasma5support 6.3.0

=== debian/changelog ===
plasma5support (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:55 +0100

plasma5support (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:11 +0100

plasma5support (4:6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against plasma-workspace and plasma-
    workspace-dev. (Closes: #1093742)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 09:26:48 +0100

## plasma5support 6.3.2

=== debian/changelog ===
plasma5support (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,18 +10,18 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6idletime-dev (>= 6.10.0),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6networkmanagerqt-dev (>= 6.10.0),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6solid-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6guiaddons-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
+               libkf6idletime-dev,
+               libkf6kio-dev,
+               libkf6networkmanagerqt-dev,
+               libkf6notifications-dev (>= 6.2.0~),
+               libkf6service-dev,
+               libkf6solid-dev (>= 6.2.0~),
                libksysguard-dev (>= 4:6.2.90~),
-               libplasmaactivities-dev (>= 6.2.90~),
+               libplasmaactivities-dev,
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
@@ -30,16 +29,17 @@
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
 Rules-Requires-Root: no
 
 Package: libplasma-geolocation-interface6
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-workspace (<< 4:6.2.90~),
+Replaces: plasma-workspace (<< 4:6.2.90~),
 Description: Plasma geolocation library
  This library provides support for interfacing with geolocation
  provider services like GPS or Mozilla Location Service.
@@ -50,6 +50,8 @@
 Multi-Arch: same
 Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
          ${misc:Depends},
+Breaks: plasma-workspace-dev (<< 4:6.2.90~),
+Replaces: plasma-workspace-dev (<< 4:6.2.90~),
 Description: development files for the Plasma geolocation library
  This library provides support for interfacing with geolocation
  provider services like GPS or Mozilla Location Service.

## plasma5support 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.5")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(PROJECT_DEP_VERSION "6.3.4")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -45,7 +45,7 @@
 add_definitions(-DQT_NO_FOREACH)
 ################# now find all used packages #################
 
-find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets Gui)
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED
     COMPONENTS
@@ -55,8 +55,19 @@
         I18n
         Notifications
         Solid
+        Service
+        IdleTime
+        KIO
 )
-find_package(KSysGuard CONFIG REQUIRED) # devicenotifications
+
+find_package(KSysGuard CONFIG REQUIRED) #devicenotifications
+find_package(KF6NetworkManagerQt) #geolocation
+find_package(PlasmaActivities) #activites
+
+option(WITH_X11 "Build mouse data engine with X11 support." ON)
+if(WITH_X11)
+    find_package(X11 REQUIRED) #mouse
+endif()
 
 #########################################################################

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

ecm_add_tests(pluginloadertest.cpp LINK_LIBRARIES Plasma::Plasma5Support Qt6::Test)

=== src/dataengines/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(devicenotifications)
add_subdirectory(favicons)
if (KF6NetworkManagerQt_FOUND)
    add_subdirectory(geolocation)
endif ()
if (PlasmaActivities_FOUND)
    add_subdirectory(activities)
endif ()
add_subdirectory(keystate)
add_subdirectory(hotplug)
add_subdirectory(soliddevice)
add_subdirectory(powermanagement)
add_subdirectory(packagekit)
add_subdirectory(mouse)
add_subdirectory(filebrowser)
add_subdirectory(places)
add_subdirectory(apps)

=== src/dataengines/places/CMakeLists.txt ===
set(places_engine_SRCS
    placesengine.cpp
    placeservice.cpp
    placesproxymodel.cpp
    setupdevicejob.cpp
    modeljob.h
)

set(CMAKE_AUTOMOC TRUE)

kcoreaddons_add_plugin(plasma_engine_places SOURCES ${places_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)

target_link_libraries(plasma_engine_places
    Plasma::Plasma5Support
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::Solid
)

install(FILES org.kde.places.operations
        DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services )

=== debian/changelog ===
plasma5support (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:37 +0200

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                libkf6notifications-dev (>= 6.2.0~),
                libkf6service-dev,
                libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.2.90~),
+               libksysguard-dev (>= 4:6.3.4~),
                libplasmaactivities-dev,
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma5support
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git

## plasma5support 6.3.5

=== debian/changelog ===
plasma5support (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:36:46 +0100

plasma5support (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:10 +0100

plasma5support (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:13 -0500

plasma5support (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:25:35 +0000

plasma5support (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on Plasma >= 6.3.2 and KF6 >= 6.10.0

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 09:27:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6idletime-dev,
-               libkf6kio-dev,
-               libkf6networkmanagerqt-dev,
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6service-dev,
-               libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.3.4~),
-               libplasmaactivities-dev,
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6idletime-dev (>= 6.10.0),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6networkmanagerqt-dev (>= 6.10.0),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
+               libksysguard-dev (>= 4:6.3.5~),
+               libplasmaactivities-dev (>= 6.3.5~),
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
 Rules-Requires-Root: no
 
 Package: libplasma-geolocation-interface6

## plasma5support 6.4.2

=== debian/changelog ===
plasma5support (6.4.2-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 13:56:22 +0000

plasma5support (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:56:43 +0000

plasma5support (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:08:06 +0000

plasma5support (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:44:31 +0000

plasma5support (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:13:33 +0000

plasma5support (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:27:34 +0000

plasma5support (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:22:51 +0000

plasma5support (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:24:37 +0000

plasma5support (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:12:05 +0000

plasma5support (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:43:22 +0000

plasma5support (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:15:11 +0000

plasma5support (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:48:03 +0000

plasma5support (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:26:59 +0000

plasma5support (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:18:45 +0000

plasma5support (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:30:15 +0000

plasma5support (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:34:23 +0000

plasma5support (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:23:36 +0000

plasma5support (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:40:38 +0000

plasma5support (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:17:22 +0000

plasma5support (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:50:57 +0000

plasma5support (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:12:29 +0000

plasma5support (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:27:06 +0000

plasma5support (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:57:30 +0000

plasma5support (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:23:17 +0000

plasma5support (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:29:33 +0000

plasma5support (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:15:05 +1000

plasma5support (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Mar 2023 16:31:21 +0000

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kxmlgui-dev,
               kf6-networkmanager-qt-dev,
               libksysguard-dev,
               libplasma-dev,
               libxfixes-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma5support.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma5support
Maintainer: Neon CI <neon@kde.org>

Package: plasma5support
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:6.2.80~)
Replaces: kf6-plasma5support, plasma-workspace (<< 4:6.2.80~)
Description: Migration aids for KF5 -> KF6 migration contains:
 Dataengine support is not in the kf6 version of plasma anymore. Dataengines
 should be migrated to QML imports, but in the meantime remaining engines can
 use the dataengine implementation here

Package: plasma5support-dev
Architecture: any
X-Neon-MergedPackage: true
Section: libdevel
Depends: kf6-extra-cmake-modules,
         kf6-kcoreaddons-dev,
         kf6-kservice-dev,
         libxfixes-dev,
         plasma5support (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: plasma-workspace-dev (<< 4:6.2.80~)
Replaces: kf6-plasma5support-dev, plasma-workspace-dev (<< 4:6.2.80~)
Description: development files for the migration aids for KF5 -> KF6 migration.
 Contains development files for libplasma5support.

Package: kf6-plasma5support
Architecture: all
Depends: plasma5support, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-plasma5support-dev
Architecture: all
Depends: plasma5support-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## plasma5support 6.4.3

=== debian/changelog ===
plasma5support (6.4.3-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:16:34 +0000

plasma5support (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:24:48 +0000

## plasma5support 6.4.4

=== debian/changelog ===
plasma5support (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:48 +0100

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6idletime-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6networkmanagerqt-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               libksysguard-dev (>= 4:6.4.4~),
               libplasmaactivities-dev (>= 6.4.4~),
               libx11-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Rules-Requires-Root: no

Package: libplasma-geolocation-interface6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.

Package: libplasma-geolocation-interface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: plasma-workspace-dev (<< 4:6.2.90~),
Replaces: plasma-workspace-dev (<< 4:6.2.90~),
Description: development files for the Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.
 .
 This package contains development files for building software that
 uses the Plasma geolocation library.

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.90~),
Replaces: plasma-workspace-data (<< 4:6.2.90~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         qml6-module-org-kde-plasma-plasma5support (= ${binary:Version}),
         ${misc:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.
